%define module	virtkey
%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		python-%{module}
Version:	0.63.0
Release:	%mkrel 9
Summary:	Python extension for emulating keypresses and getting current keyboard layout
License:	GPLv2+
Group:		Development/Python
URL:		https://launchpad.net/virtkey
Source:		https://launchpad.net/virtkey/%{url_ver}/%{version}/+download/%{module}-%{version}.tar.gz
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(glib-2.0)

%description
Python-virtkey is a python extension for emulating keypresses and getting
current keyboard layout.

%package -n	python3-%{module}
Summary:	Python3 extension for emulating keypresses and getting current keyboard layout
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)

%description -n python3-%{module}
Python-virtkey is a python 3 extension for emulating keypresses and
getting current keyboard layout.

%prep
%autosetup -n %{module}-%{version}

# move this here for so the doc macro can pick it up in files section
mv docs/api.txt api.txt

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%license COPYING
%doc README NEWS AUTHORS api.txt
%{python3_sitearch}/*


%changelog
* Sat Mar 26 2022 umeabot <umeabot> 0.63.0-9.mga9
+ Revision: 1828543
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 mrambo3501 <mrambo3501> 0.63.0-8.mga9
+ Revision: 1781253
- rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 0.63.0-7.mga9
+ Revision: 1717287
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.63.0-6.mga8
+ Revision: 1531818
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 tv <tv> 0.63.0-5.mga8
+ Revision: 1441147
- submit to core/release

* Sun Sep 15 2019 tv <tv> 0.63.0-4.mga8
+ Revision: 1441126
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 tv <tv> 0.63.0-3.mga7
+ Revision: 1352386
- rebuild with python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.63.0-2.mga7
+ Revision: 1300616
- Mageia 7 Mass Rebuild

* Mon Jun 11 2018 daviddavid <daviddavid> 0.63.0-1.mga7
+ Revision: 1236253
- new version: 0.63.0
- add the Python3 sub-pkg
- use new python macros

* Mon Feb 08 2016 umeabot <umeabot> 0.60.0-9.mga6
+ Revision: 947722
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-8.mga5
+ Revision: 746078
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.60.0-7.mga5
+ Revision: 729960
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-6.mga5
+ Revision: 688407
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.60.0-4.mga4
+ Revision: 544554
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.60.0-3.mga4
+ Revision: 499702
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 379673
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 07 2011 tv <tv> 0.60.0-1.mga2
+ Revision: 140021
- new release
- do not use macros for rm, python
- drop patch 1 (uneeded)

* Tue Aug 30 2011 colin <colin> 0.50-1.mga2
+ Revision: 136448
- imported package python-virtkey

